From: Zorro Lang <zlang@redhat.com>
To: fstests@vger.kernel.org
Subject: [PATCH] xfs/288: _notrun if xfs_db write doesn't support -d option
Date: Mon, 30 Jul 2018 15:42:02 +0800 [thread overview]
Message-ID: <20180730074202.26450-1-zlang@redhat.com> (raw)
Commit b3cf8b72334fd35ef961869506e5a72ab398bc82 help xfs/288 to
support v5 filesystems testing, but there're still some old
distributions don't support xfs_db 'write -d' usage. Then this
case fails on them.
For compatible with older versions, skip this test on v5 xfs
if xfs_db write command doesn't support -d option.
Signed-off-by: Zorro Lang <zlang@redhat.com>
---
tests/xfs/288 | 8 ++++++++
1 file changed, 8 insertions(+)
diff --git a/tests/xfs/288 b/tests/xfs/288
index bccdb6fc..f8e117ed 100755
--- a/tests/xfs/288
+++ b/tests/xfs/288
@@ -40,6 +40,14 @@ _require_attrs
_scratch_mkfs_xfs 2>/dev/null | _filter_mkfs 2>$tmp.mkfs >/dev/null
. $tmp.mkfs
+# Require write -d option to write invalid data into V5 filesystem
+if [ $_fs_has_crcs -eq 1 ]; then
+ _scratch_xfs_db -x -c "help write" | egrep -q "(-d)"
+ if [ $? -ne 0 ]; then
+ _notrun "xfs_db write doesn't support -d option"
+ fi
+fi
+
_scratch_mount
touch $SCRATCH_MNT/$seq.attrfile
--
2.14.4
next reply other threads:[~2018-07-30 9:15 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-07-30 7:42 Zorro Lang [this message]
2018-07-30 8:50 ` [PATCH] xfs/288: _notrun if xfs_db write doesn't support -d option Xiao Yang
2018-07-30 9:16 ` Zorro Lang
2018-07-31 1:49 ` Xiao Yang
2018-07-31 3:28 ` Zorro Lang
2018-07-31 3:39 ` Xiao Yang
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20180730074202.26450-1-zlang@redhat.com \
--to=zlang@redhat.com \
--cc=fstests@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox